[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.OnRequest

OnRequest - event handler for a request for clipboard data

## Declaration

Source position: clipbrd.pp line 232

`public property TClipboard.OnRequest: TClipboardRequestEvent read FOnRequest write SetOnRequest;`

## Description

OnRequest - event handler for a request for clipboard data

If the clipboard has the ownership, this event will be called each time data are requested from the clipboard by the application or another application.

There is one special case:

If the clipboard loses ownership the OnRequest event will be called with FormatID=0. This event will be erased on lost of ownership.

If the OnRequest event was already set before, the prior method will be called with FormatID=0 to be notified of the loss.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.